/*
   +----------------------------------------------------------------------+
   | PHP version 4.0                                                      |
   +----------------------------------------------------------------------+
   | Copyright (c) 1997, 1998, 1999, 2000 The PHP Group                   |
   +----------------------------------------------------------------------+
   | This source file is subject to version 2.02 of the PHP license,      |
   | that is bundled with this package in the file LICENSE, and is        |
   | available at through the world-wide-web at                           |
   | http://www.php.net/license/2_02.txt.                                 |
   | If you did not receive a copy of the PHP license and are unable to   |
   | obtain it through the world-wide-web, please send a note to          |
   | license@php.net so we can mail you a copy immediately.               |
   +----------------------------------------------------------------------+
   | Authors:                                                             |
   |                                                                      |
   +----------------------------------------------------------------------+
 */

#ifndef PHP_ONSTATEMENT_H
#define PHP_ONSTATEMENT_H

/* You should tweak config.m4 so this symbol (or some else suitable)
   gets defined.
*/
#if HAVE_ONSTATEMENT

extern zend_module_entry onstatement_module_entry;
#define phpext_onstatement_ptr &onstatement_module_entry

#ifdef PHP_WIN32
#define PHP_ONSTATEMENT_API __declspec(dllexport)
#else
#define PHP_ONSTATEMENT_API
#endif

PHP_MINIT_FUNCTION(onstatement);
PHP_MSHUTDOWN_FUNCTION(onstatement);
PHP_RINIT_FUNCTION(onstatement);
PHP_RSHUTDOWN_FUNCTION(onstatement);
PHP_MINFO_FUNCTION(onstatement);

PHP_FUNCTION(confirm_onstatement_compiled);	/* For testing, remove later. */
PHP_FUNCTION(onstatement_activate);
PHP_FUNCTION(onstatement_deactivate);

/* Fill in this structure and use entries in it
   for thread safety instead of using true globals.
*/
typedef struct {
	/* You can use the next one as type if your module registers any
	   resources. Oh, you can of course rename it to something more
	   suitable, add list entry types or remove it if it not needed.
	   It's just an example.
	*/
	int le_onstatement;
} php_onstatement_globals;

/* In every function that needs to use variables in php_onstatement_globals,
   do call ONSTATEMENTLS_FETCH(); after declaring other variables used by
   that function, and always refer to them as ONSTATEMENTG(variable).
   You are encouraged to rename these macros something shorter, see
   examples in any other php module directory.
*/

#ifdef ZTS
#define ONSTATEMENTG(v) (onstatement_globals->v)
#define ONSTATEMENTLS_FETCH() php_onstatement_globals *onstatement_globals = ts_resource(gd_onstatement_id)
#else
#define ONSTATEMENTG(v) (onstatement_globals.v)
#define ONSTATEMENTLS_FETCH()
#endif

#else

#define phpext_onstatement_ptr NULL

#endif

#endif	/* PHP_ONSTATEMENT_H */


/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * End:
 */
